Name: libiodbc
Version: 3.52.12
Release: %mkrel 1
Summary: The iODBC Driver Manager
Group: System/Libraries
License: BSD
URL: http://www.iodbc.org/
Source: http://downloads.sourceforge.net/project/iodbc/iodbc/%{version}/%{name}-%{version}.tar.gz
BuildRequires: gtk+2-devel

%description
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

#---------------------------------------------------------------

%define soname 2
%define libname %mklibname iodbc %{soname}

%package -n %{libname}
Summary: The iODBC Driver Manager main library
Group: System/Libraries

%description -n %{libname}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libname}
%{_libdir}/libiodbc.so.%{soname}{,.*}

#---------------------------------------------------------------

%define instsoname 2
%define libnameinst %mklibname iodbcinst %{instsoname}

%package -n %{libnameinst}
Summary: The iODBC Driver Manager main library
Group: System/Libraries

%description -n %{libnameinst}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameinst}
%{_libdir}/libiodbcinst.so.%{instsoname}{,.*}

#---------------------------------------------------------------

%package util
Summary: The iODBC Driver Manager common binary files
Group: System/Libraries

%description util
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files util
%{_bindir}/iodbctest
%{_bindir}/iodbctestw
%{_mandir}/man1/iodbctest.1*
%{_mandir}/man1/iodbctestw.1*

#---------------------------------------------------------------

%define drvproxysoname 2
%define libnamedrvproxy %mklibname drvproxy %{drvproxysoname}

%package -n %{libnamedrvproxy}
Summary: The iODBC Driver Manager main library
Group: System/Libraries

%description -n %{libnamedrvproxy}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnamedrvproxy}
%{_libdir}/libdrvproxy.so.2*

#---------------------------------------------------------------

%define admsoname 2
%define libnameadm %mklibname iodbcadm %{admsoname}

%package -n %{libnameadm}
Summary: The iODBC Driver Manager main library
Group: System/Libraries

%description -n %{libnameadm}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

%files -n %{libnameadm}
%{_libdir}/libiodbcadm.so.%{admsoname}{,.*}

#---------------------------------------------------------------

%package admin
Summary: GTK based administrator for iODBC development
Group: System/Libraries

%description admin
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains a GTK based administrator program for maintaining
DSN information in odbc.ini and odbcinst.ini files.

%files admin
%{_bindir}/iodbcadm-gtk
%{_mandir}/man1/iodbcadm-gtk.1*


#---------------------------------------------------------------

%define libdev %mklibname iodbc -d

%package -n %{libdev}
Summary: header files and libraries for iODBC development
Group: Development/Databases
Provides: iodbc-devel
Provides: %name-devel
Requires: %{libname}
Requires: %{libnameinst}
Requires: %{name}-util
Requires: %{libnamedrvproxy}
Requires: %{libnameadm}
Requires: unixODBC-devel

%description -n %{libdev}
The iODBC Driver Manager is a free implementation of the SAG CLI and
ODBC compliant driver manager which allows developers to write ODBC
compliant applications that can connect to various databases using
appropriate backend drivers.

This package contains the header files and libraries needed to develop
program that use the driver manager.

%files -n %{libdev} 
%doc AUTHORS 
%doc AUTHORS 
%doc LICENSE
%doc LICENSE.LGPL
%doc LICENSE.BSD
%doc ChangeLog 
%doc NEWS 
%doc README
%doc README_GIT
%doc etc/odbc.ini.sample
%doc etc/odbcinst.ini.sample
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/iodbc-config
%{_libdir}/pkgconfig/libiodbc.pc
%{_mandir}/man1/iodbc-config.1*
%{_datadir}/libiodbc
%multiarch %{_bindir}/%{multiarch_platform}/iodbc-config

#---------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-odbc3 \
	--disable-libodbc \
	--enable-gui \
	--disable-static \
	--with-iodbc-inidir=%{_sysconfdir} \
	--includedir=%{_includedir}/iodbc \
	--enable-pthreads

# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

# Multiarch fixes
%multiarch_binaries %{buildroot}/%{_bindir}/iodbc-config




%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.52.12-1.mga6
+ Revision: 1045558
- 3.52.12

* Thu Dec 24 2015 luigiwalser <luigiwalser> 3.52.10-1.mga6
+ Revision: 914458
- 3.52.10
- fix source URL
- re-enable parallel make (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 3.52.8-9.mga5
+ Revision: 745062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.52.8-8.mga5
+ Revision: 681539
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 oden <oden> 3.52.8-7.mga4
+ Revision: 560107
- nuke rpath from binaries

* Sat Oct 19 2013 umeabot <umeabot> 3.52.8-6.mga4
+ Revision: 533446
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 tv <tv> 3.52.8-5.mga4
+ Revision: 473305
- %%description is neither AUTHORS nor LICENSE file

* Fri Aug 30 2013 dlucio <dlucio> 3.52.8-4.mga4
+ Revision: 473254
- Fix group for admin subpackage
- gtk enabled

* Sat Jan 12 2013 umeabot <umeabot> 3.52.8-2.mga3
+ Revision: 357532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 3.52.8-1.mga3
+ Revision: 280992
- 3.52.8

* Sat Jan 15 2011 mikala <mikala> 3.52.7-2.mga1
+ Revision: 18359
- imported package libiodbc

